package org.um.feri.spin_msc_generator;

import java.io.BufferedWriter;
import java.io.FileWriter;

import org.um.feri.spin_msc_generator.ui.UserInterface;

public class MSCWriter {
	
	/*
	 * 0 - Console
	 * 1 - File
	 * */

	int writeto = 0;
	BufferedWriter out;
	
	String content = "";
	String output_filename = "";
	
	public MSCWriter(String _output_filename){
		
		this.output_filename = _output_filename;
		writeto = 1;
		
	    try{

	    	FileWriter fstream = new FileWriter(_output_filename);
	    	out = new BufferedWriter(fstream);
	    	
	    	
	     }catch (Exception e){//Catch exception if any
	    	System.err.println("Error: " + e.getMessage());
	   }
		
	}
	
	public void write(StringBuffer _content, boolean end){
		content = _content.toString();		
		try{
			
		     out.write(content);
		      
		   //  System.out.println(content);

		 }
		catch (Exception e){
		 System.err.println("Error: " + e.getMessage());
		}
	}
	
	public void closeFile(){
		try{
	    	 out.close();
	    	 UserInterface ui = new UserInterface();
	    	 ui.fileSaved(output_filename);
		 }
		catch (Exception e){
		 System.err.println("Error: " + e.getMessage());
		}
	}
	
}
