package org.um.feri.spin_msc_generator.arguments;
import java.util.ArrayList;


public class ArgumentsContainer {
	private String input 	= "";
	private String output	= "";
	
	String comment = "";
	
	private boolean showHelp = false;
	
	private boolean hideMessageParameters = false;
	
	private boolean showProcessList = false;
	
	private boolean showMessageList = false;
	
	private boolean showUniqueMessageList = false;
	
	private ArrayList<String> virtualProcessListArguments = new ArrayList();
	private String renameMessageListArguments = "";
	
	ArgumentsContainer(){
	}
	
	// SETTERS
	
	public void setInput(String input){
		this.input = input;
	}
	
	public void setOutput(String output){
		this.output = output;
	}
	
	public void setShowHelp(boolean showHelp){
		this.showHelp = showHelp;
	}
	
	public void setHideMessageParameters(boolean hideMessageParameters){
		this.hideMessageParameters = hideMessageParameters;
	}
	
	public void setVirtualProcessListArguments(ArrayList<String> virtualProcessListArguments){
		this.virtualProcessListArguments = virtualProcessListArguments;
	}
	
	public void setRenameMessageListArguments(String renameMessageListArguments){
		this.renameMessageListArguments = renameMessageListArguments;
	}
	
	public void setComment(String comment){
		this.comment = comment;
	}
	public void setShowProcessList(boolean showProcessList){
		this.showProcessList = showProcessList;
	}
	public void setShowMessageList(boolean showMessageList){
		this.showMessageList = showMessageList;
	}
	public void setShowUniqueMessageList(boolean showUniqueMessageList){
		this.showUniqueMessageList = showUniqueMessageList;
	}
	
	
	// GETTERS
	
	public String getInput(){
		return this.input;
	}
	
	public String getOutput(){
		return this.output;
	}
	
	public String getComment(){
		return this.comment;
	}
	
	public boolean getShowHelp(){
		return this.showHelp;
	}	
	
	public ArrayList<String> getVirtualProcessListArguments(){
		return this.virtualProcessListArguments;
	}
	
	public String getRenameMessageListArguments(){
		return this.renameMessageListArguments;
	}
	
	public boolean getHideMessageParameters(){
		return this.hideMessageParameters;
	}
	public boolean getShowProcessList(){
		return this.showProcessList;
	}
	public boolean getShowMessageList(){
		return this.showMessageList;
	}
	public boolean getShowUniqueMessageList(){
		return this.showUniqueMessageList;
	}	
}
