package org.um.feri.spin_msc_generator.message;

import java.util.ArrayList;

public class MessageRenamer {
	
	private ArrayList<RenamedMessage> 	rnMessageList;
	private ArrayList					userList;
	
	/**
	 * 
	 * @param userParam String of user parameters in which message renaming rules are defined
	 * 
	 * */
	
	public MessageRenamer(String userParam){
		rnMessageList = new ArrayList();
		createArrayFromParam(userParam);
	}
	
	/**
	 * 
	 * @param userParam String of user parameters in which message renaming rules are defined
	 * 
	 * */
		
	private void createArrayFromParam(String userParam){
		String[] argSplitSpace 	= userParam.split(" ");
		String[] argSplitMoreThan;
		
		RenamedMessage rnMessage;
		
		for (int i=0; i<argSplitSpace.length; i++){
			argSplitMoreThan = argSplitSpace[i].split(">");
			
			if (!messIsOnList(argSplitMoreThan[0])){
				// add to list
				rnMessage = new RenamedMessage(argSplitMoreThan[0], argSplitMoreThan[1]);
				rnMessageList.add(rnMessage);
			}
			else {
				// do not add to list
				System.out.println("~ALREADY ON LIST~");				
			}
		}		
	}
	
	private boolean messIsOnList(String message){
		for(int i=0; i<rnMessageList.size(); i++){
			if (rnMessageList.get(i).getActualName().equals(message)){
				return true;
			}
		}
		return false;
	}
	
	public ArrayList<RenamedMessage> getRenamedMessage() {
		return rnMessageList;
	}
}
