package org.um.feri.spin_msc_generator;

import java.util.ArrayList;

import org.um.feri.spin_msc_generator.message.MSCMessage;
import org.um.feri.spin_msc_generator.process.MSCProcess;
import org.um.feri.spin_msc_generator.process.MSCVirtualProcess;

public class MSCDocument {
	private ArrayList<MSCProcess>	processList;
	private ArrayList<MSCMessage>	messageList;
	private String 					comment = "";
	private String					name	= "";
		
	public MSCDocument(ArrayList<MSCProcess> _processList, ArrayList<MSCMessage> _messageList, 
			String _name, String _comment){
		
		this.processList	= _processList;
		this.messageList 	= _messageList;
		this.name			= _name;
		this.comment		= _comment;
	}

	public ArrayList<MSCProcess> getProcessList(){
		return processList;
	}
	public ArrayList<MSCMessage> getMessageList(){
		return messageList;
	}
	public String getName(){
		return name;
	}
	public String getComment(){
		return comment;
	}
}
