package org.um.feri.spin_msc_generator;

import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.um.feri.spin_msc_generator.message.MessageRenamer;
import org.um.feri.spin_msc_generator.message.RenamedMessage;
import org.um.feri.spin_msc_generator.ui.UserInterface;
import org.um.feri.spin_msc_generator.arguments.ArgumentHelp;
import org.um.feri.spin_msc_generator.arguments.ArgumentParser;
import org.um.feri.spin_msc_generator.arguments.ArgumentsContainer;

public class main {

	/**
	 * 
	 * Main class for initialization of MSCParserGenerator
	 * 
	 * 
	 * @param args
	 */
	
	private static Logger logger = Logger.getLogger("MSCLogger");

	public static void main(String[] args) {
		
		ArgumentHelp argHelp = new ArgumentHelp();
		UserInterface ui = new UserInterface();
		
		
		logger.setLevel(Level.OFF);


		
		if (args.length == 0){
			ui.noInputParameters();
		}
		else {
			ArgumentsContainer argContainer;
					
			ArgumentParser argParser = new ArgumentParser();
			argParser.parse(args);
			argContainer = argParser.getArguments();
	
			if (argParser.isError()){
				System.out.println("Parsing of arguments: Failed.");
				System.out.println(argParser.getErrorReason());
			}
			else {

				if (argContainer.getShowHelp()){
					ArgumentHelp help = new ArgumentHelp();
					help.showHelp();
				}
			
				St2msc msc = new St2msc(argContainer);
			}
		}
	}
}
